{% load bootstrap4 %}


<div class="mt-3 card">
    {% if departament_form %}
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#createDepartamentModal">
            Create Departament
        </button>
        <div class="modal fade" id="createDepartamentModal" tabindex="-1" role="dialog"
             aria-labelledby="exampleModalLabel"
             aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Departament Creator</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form action="{% url 'create-departament' %}" method="post">
                            {% csrf_token %}
                            {% bootstrap_form departament_form %}
                            {% buttons %}
                                <button type="submit" class="btn btn-primary">
                                    Create
                                </button>
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            {% endbuttons %}
                        </form>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}

    <div class="card-body shadow-lg">
        <ul class="list-group">
            {% for departament in departament_list %}
                <li class="list-group-item shadow-sm">
                    <div class="d-flex align-items-center">
                        <div class="col-6">{{ departament }}</div>
                        <button class="col-2 ml-1 btn btn-success" type="button" data-toggle="modal"
                                data-target="#addWorker{{ departament.id }}Modal">
                            Add Worker
                        </button>
                        <button class="col-2 ml-1 btn btn-primary" type="button" data-toggle="modal"
                                data-target="#reanameDepartament{{ departament.id }}Modal">
                            Edit
                        </button>
                        <a class="col-2 ml-1 btn btn-danger"
                           href="{% url 'delete-departament' departament.id %}">Delete</a>
                    </div>
                    {% if departament.workers %}
                        <ul class="list-group mt-2">
                            {% for worker_data in departament.workers %}
                                <li class="list-group-item d-flex justify-content-between align-items-center{% if worker_data.is_head %} active {% endif %}">
                                    {{ worker_data.worker }}
                                    <div class="d-flex col-4">
                                        <button class="col-6 btn btn-dark" type="button" data-toggle="modal"
                                                data-target="#editWorker{{ worker_data.worker.id }}Modal">
                                            Edit
                                        </button>
                                        <a href="{% url 'delete-departament-worker' departament.id worker_data.worker.id %}"
                                           class="col-6 btn btn-danger ml-1">Delete</a>
                                    </div>
                                </li>
                            {% endfor %}
                        </ul>
                    {% endif %}
                </li>
                <div class="modal fade" id="addWorker{{ departament.id }}Modal" tabindex="-1" role="dialog"
                     aria-labelledby="exampleModalLabel"
                     aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Worker Adder</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form action="{% url 'add-departament-worker' departament.id %}" method="post">
                                    {% csrf_token %}
                                    {% bootstrap_form departament.worker_adder %}
                                    {% buttons %}
                                        <button type="submit" class="btn btn-primary">
                                            Save
                                        </button>
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
                                        </button>
                                    {% endbuttons %}
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal fade" id="reanameDepartament{{ departament.id }}Modal" tabindex="-1" role="dialog"
                     aria-labelledby="exampleModalLabel"
                     aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Departament Editor</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form action="{% url 'update-departament' departament.id %}" method="post">
                                    {% csrf_token %}
                                    {% bootstrap_form departament.form %}
                                    {% buttons %}
                                        <button type="submit" class="btn btn-primary">
                                            Save
                                        </button>
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
                                        </button>
                                    {% endbuttons %}
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </ul>
    </div>
</div>